package
{
	import flash.display.*;
	import flash.geom.*;
	import flash.ui.*;
	
	public class Button extends Tile
	{
		private var done : Boolean = false;
		
		public function Button ()
		{
			super(BUTTON);
		}
		
		public override function getAABB () : Rectangle
		{
			return new Rectangle(x, y + 28, 32, 4);
		}
		
		private function isPlayer (obj : *) : Boolean
		{
			return (obj is Player);
		}
		
		public override function update (dt: int): void
		{
			if (!done && Main.level.get(this, isPlayer).length > 0)
			{
				Wall.stopped = true;
				done = true;
				AudioControl.playWinSound();
			}
		}
	}
}

