package
{
	import flash.display.*;
	import flash.utils.*;
	import flash.geom.*;
	
	public class SpawnTile extends Tile
	{
		public function SpawnTile (i : int)
		{
			super(i);
		}
		
		public override function update (dt : int) : void
		{
			var entity : DisplayObject;
			
			switch(tileID) {
				case PLAYER:
					entity = new Player(x, y);
				break;
				case WALL:
					entity = new Wall(x, y);
				break;
			}
			
			if (entity) {
				Main.level.addEntity(entity);
			}
			
			Main.level.tiles.removeAtIndex(x / WIDTH, y / HEIGHT);
		}
	}
}

